CREATE UNIQUE INDEX "IDX_ITEMS_ID" ON "ITEMS" (id);
CREATE INDEX "IDX_ITEMS_TITLE" ON "ITEMS" (titleForSearch ASC);
CREATE INDEX "IDX_ITEMS_CATEGORY_ID" ON "ITEMS" (categoryId);
CREATE INDEX "IDX_ITEMS_STATUS" ON "ITEMS" (status);
CREATE INDEX "IDX_ITEMS_ADDDATE" ON "ITEMS" (addDate);
CREATE INDEX "IDX_ITEMS_ENDDATE" ON "ITEMS" (endDate);
CREATE INDEX "IDX_ITEMS_LASTUSEDATE" ON "ITEMS" (lastUseDate);

CREATE INDEX "IDX_ATTRIBUTES_ITEMID" ON "ATTRIBUTES" (itemId);
CREATE INDEX "IDX_ATTRIBUTES_KEY" ON "ATTRIBUTES" (key);
CREATE INDEX "IDX_ATTRIBUTES_VALUE" ON "ATTRIBUTES" (value);

CREATE UNIQUE INDEX "IDX_AUTHORS_ID" ON "AUTHORS" (id);
CREATE INDEX "IDX_AUTHORS_TITLE" ON "AUTHORS" (titleForSearch ASC);

CREATE UNIQUE INDEX "IDX_CATEGORIES_ID" ON "CATEGORIES" (id);
CREATE INDEX "IDX_CATEGORIES_PARENTID" ON "CATEGORIES" (parentId);
CREATE INDEX "IDX_CATEGORIES_TITLE" ON "CATEGORIES" (title ASC);

CREATE UNIQUE INDEX "IDX_DESCRIPTIONS_ITEMID" ON "DESCRIPTIONS" (itemId);

CREATE INDEX "IDX_ITEMS_AUTHORS_ITEMID" ON "ITEMS_AUTHORS" (itemId);
CREATE INDEX "IDX_ITEMS_AUTHORS_AUTHORID" ON "ITEMS_AUTHORS" (authorId);

CREATE INDEX "IDX_FILES_ITEMID" ON "FILES" (itemId);
CREATE INDEX "IDX_FILES_POSITION" ON "FILES" (position);